## net.i2p.router.peermanager
Class IntegrationCalculator

    java.lang.Object
      net.i2p.router.peermanager.Calculator
          net.i2p.router.peermanager.IntegrationCalculator

    public class IntegrationCalculator

extends Calculator

Determine how well integrated the peer is - how likely they will be useful to us if we are trying to get further connected.

Constructor Summary
`IntegrationCalculator(RouterContext context)`

Method Summary
`double` `calc(PeerProfile profile)` Evaluate the profile according to the current metric

Methods inherited from class net.i2p.router.peermanager.Calculator
`calcBoolean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegrationCalculator

    public IntegrationCalculator(RouterContext context)

Method Detail

### calc

    public double calc(PeerProfile profile)

  Description copied from class: `Calculator`
  Evaluate the profile according to the current metric

  Overrides:
    `calc` in class `Calculator`